@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/cockpitng/cng/scss/cockpitng-globals.scss';
@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/backoffice/scss/backoffice-variables.scss';



$catalogSelector__popup--font-family: $font-family-opensans;
$catalogSelector__popup--font-size: $font-size__base;
$catalogSelector__popup--font-color: $grey__default--500;

$catalogSelector__popup--border-color: $grey__light--1100;
$catalogSelector__popup--border: $boxes--border__thin solid $catalogSelector__popup--border-color;
$catalogSelector__button--padding-x: 20px;
$catalogSelector__button-icon--font-family: $font-family-fontawesome;
$catalogSelector__button-icon--size: 15px;
$catalogSelector__button-icon-down--content: $anglearrow__down--content;
$catalogSelector__button-icon-up--content: $anglearrow__up--content;
$catalogSelector__popup--tree-cell-lable--padding-left: 3px;
$catalogSelector__button-icon--right: $catalogSelector__button--padding-x - 5px;
$catalogSelector__button-icon--adjust-margin: -(floor($catalogSelector__button-icon--size/2));

$catalogSelector__button--width: 100%;
$catalogSelector__button--height: 100%;
$catalogSelector__button--max-width: 400px;
$catalogSelector__button--min-height: $globals__toolbar--height;

$catalogSelector__button--padding: 0 ($catalogSelector__button-icon--size + $catalogSelector__button-icon--right + 5px) 0 $catalogSelector__button--padding-x;
$catalogSelector__button--font-size: $font-size__base;
$catalogSelector__button--color: $blue__greyish--400;
$catalogSelector__button-border--bg-color: $grey__light--800;
$catalogSelector__button-border--top: 5px;
$catalogSelector__button-border--bottom: 5px;
$catalogSelector__button--bg-color: $white;

$catalogSelector__button-hover--color: $blue__default;
$catalogSelector__button--border-color: rgba($white, 0.1);
$catalogSelector__button--border-width: $boxes--border__thin;
$catalogSelector__button--border: $catalogSelector__button--border-width solid $catalogSelector__button--border-color;

$catalogSelector__button-icon-empty--right: $catalogSelector__button-icon--right + $catalogSelector__button--border-width;

$catalogSelector__popup--item-hover--color: $blue__default;
$catalogSelector__popup--item-selected--color: $blue__default;
$catalogSelector__popup--item-caret--color: $grey__default--1000;

$catalogSelector__popup--item-hover--bg-color: $grey__light--1200;

$catalogSelector__popup--icon-check--color: $blue__default;
$catalogSelector__popup--icon-uncheck--color: rgba($blue__default, 0.5);
$catalogSelector__popup--tree-row--padding-x: $catalogSelector__button--padding-x;

$catalogSelector__popup--catalog-all--bg-color: $grey__light--500;
$catalogSelector__popup--catalog-all-icon--bg: url('images/icon_catalog_all_infinity.png') left center no-repeat;
$catalogSelector__popup--catalog-all-icon--width: 15px;
$catalogSelector__popup--catalog-all-icon--height: 18px;
$catalogSelector__popup--catalog-all-icon--adjust-padding-left: 4px;

$catalogSelector__popup--tree-icon--size: 15px;

$catalogSelector__popup--catalog-all-row--padding-left: $catalogSelector__popup--tree-row--padding-x - $catalogSelector__popup--catalog-all-icon--adjust-padding-left;
$catalogSelector__popup--catalog-all-row-text--padding-left: $catalogSelector__popup--tree-icon--size + $catalogSelector__popup--catalog-all-icon--adjust-padding-left + $catalogSelector__popup--tree-cell-lable--padding-left;

$catalogSelector__popup--tree-icon-symbol--margin-top: -(floor($catalogSelector__popup--tree-icon--size/2));
$catalogSelector__popup--tree-row--line-height: 20px;

$catalogSelector__popup--item--height: $editor-defaults__inline-box--height - $boxes--border__thin * 2;
$catalogSelector__popup--item-selected-hover--bg-color: $blue__light;

$catalogSelector__popup--tree-row-default--border-width: $boxes--border__thin;
$catalogSelector__popup--tree-row--padding-y: (floor(($catalogSelector__popup--item--height - $catalogSelector__popup--tree-row--line-height)/2) + $catalogSelector__popup--tree-row-default--border-width);
$catalogSelector__popup--tree-row--padding: $catalogSelector__popup--tree-row--padding-y 0 $catalogSelector__popup--tree-row--padding-y $catalogSelector__popup--tree-row--padding-x;
$catalogSelector__popup--tree-row-text--padding-right: $catalogSelector__popup--tree-row--padding-x;

$catalogSelector__popup--tree-node-row-opened-subsection--border-top-color: $grey__default--1000;
$catalogSelector__popup--tree-node-row-opened-subsection--border-top: $catalogSelector__popup--tree-row-default--border-width solid $catalogSelector__popup--tree-node-row-opened-subsection--border-top-color;

$catalogSelector__popup--tree-caret-space--width: 15px;

$catalogSelector__popup-sync-cell-btn--width: $editor-defaults__inline-box--height;
$catalogSelector__popup-sync-cell-btn--border-left: $boxes--border__thin solid $grey__default--1000;

$catalogSelector__popup-sync-cell-icon--size: 18px;
$catalogSelector__popup-sync-cell-icon--margin: -(floor($catalogSelector__popup-sync-cell-icon--size/2));
$catalogSelector__popup-sync-cell-text--padding-right: $catalogSelector__popup-sync-cell-btn--width + 5px;

$catalogSelector__popup-container--width: 320px;

@keyframes rotate-animation {
    0% {
        transform: rotate(0deg);
    }
    50% {
        transform: rotate(180deg);
    }
    100% {
        transform: rotate(360deg);
    }
}
